- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::Policy_Strategy Class Reference

`#include <Policy_Strategy.h>`

Inheritance diagram for TAO::Portable_Server::Policy_Strategy:

[legend]
Collaboration diagram for TAO::Portable_Server::Policy_Strategy:

[legend]
List of all members.

## Public Member Functions
virtual void | strategy_init (TAO_Root_POA *poa)=0
virtual void | strategy_cleanup ()=0
virtual | ~Policy_Strategy (void)

## Constructor & Destructor Documentation

virtual TAO::Portable_Server::Policy_Strategy::~Policy_Strategy | ( | void |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void TAO::Portable_Server::Policy_Strategy::strategy_cleanup | ( |  | ) | `[pure virtual]`

Implemented in TAO::Portable_Server::IdAssignmentStrategy, TAO::Portable_Server::IdUniquenessStrategyMultiple, TAO::Portable_Server::IdUniquenessStrategyUnique, TAO::Portable_Server::ImplicitActivationStrategy, TAO::Portable_Server::LifespanStrategy, TAO::Portable_Server::RequestProcessingStrategy, TAO::Portable_Server::RequestProcessingStrategyDefaultServant, TAO::Portable_Server::RequestProcessingStrategyServantActivator, TAO::Portable_Server::RequestProcessingStrategyServantLocator, TAO::Portable_Server::ServantRetentionStrategyNonRetain, TAO::Portable_Server::ServantRetentionStrategyRetain, and TAO::Portable_Server::ThreadStrategy.

virtual void TAO::Portable_Server::Policy_Strategy::strategy_init | ( | TAO_Root_POA * | poa | ) | `[pure virtual]`

Implemented in TAO::Portable_Server::IdAssignmentStrategy, TAO::Portable_Server::IdUniquenessStrategyMultiple, TAO::Portable_Server::IdUniquenessStrategyUnique, TAO::Portable_Server::ImplicitActivationStrategy, TAO::Portable_Server::LifespanStrategy, TAO::Portable_Server::LifespanStrategyPersistent, TAO::Portable_Server::RequestProcessingStrategy, TAO::Portable_Server::ServantRetentionStrategyNonRetain, TAO::Portable_Server::ServantRetentionStrategyRetain, and TAO::Portable_Server::ThreadStrategy.

The documentation for this class was generated from the following file:

- Policy_Strategy.h